# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 <Conor Drew> <the.ninja.circus@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import time

import shelve

import datetime

import optparse

import gettext
from gettext import gettext as _
gettext.textdomain('nudge')

from gi.repository import Gtk, Gdk # pylint: disable=E0611

import gobject

from nudge import NudgeWindow

from nudge_lib import set_up_logging, get_version

import locale

def parse_options():
    """Support for command line options"""
    parser = optparse.OptionParser(version="%%prog %s" % get_version())
    parser.add_option(
        "-v", "--verbose", action="count", dest="verbose",
        help=_("Show debug messages (-vv debugs nudge_lib also)"))
    (options, args) = parser.parse_args()

    set_up_logging(options)

def main():
    'constructor for your class instances'
    parse_options()

    try:
        with open("Nudges") as f:
            f.close()
    except IOError as e:
        new_nudge_db = shelve.open("Nudges", 'n')
        new_nudge_db["Titles"] = []
        new_nudge_db["EventTimes"] = []
        new_nudge_db["EverydayStatuses"] = []
        new_nudge_db["RemindTimes"] = []
        new_nudge_db.close()
    
    def reminder():
        if len(window.TodaysNudges) > 0:
            window.check_for_reminder()
            return True
        else:
            return True
    
    # Run the application.
    window = NudgeWindow.NudgeWindow()
    window.show()
    gobject.timeout_add_seconds(60, reminder)
    Gtk.main()
