#!/usr/bin/python
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 <Conor Drew> <the.ninja.circus@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

"""Code to add AppIndicator."""

from gi.repository import Gtk # pylint: disable=E0611
from gi.repository import AppIndicator3 # pylint: disable=E0611

from nudge_lib.helpers import get_media_file

import gettext
from gettext import gettext as _
gettext.textdomain('nudge')

import datetime

class Indicator:
    def __init__(self, window):
        
        self.indicator = AppIndicator3.Indicator.new('nudge', '', AppIndicator3.IndicatorCategory.APPLICATION_STATUS)
        self.indicator.set_status(AppIndicator3.IndicatorStatus.ACTIVE)

        icon_uri = get_media_file("nudge_indicator_icon.svg")
        icon_path = icon_uri.replace("file:///", '')
        self.indicator.set_icon(icon_path)
        
        attention_icon_uri = get_media_file("nudge_indicator_icon_attention.svg")
        attention_icon_path = attention_icon_uri.replace("file:///", '')

        #Uncomment and choose an icon for attention state. 
        self.indicator.set_attention_icon(attention_icon_path)
        
        self.menu = Gtk.Menu()

        # Add items to Menu and connect signals.
        
        #window represents the main Window object of your app
        
        self.separator = Gtk.SeparatorMenuItem(self.menu)
        self.separator.show()
        self.menu.append(self.separator)

        self.quit = Gtk.MenuItem("Stop Reminders")
        self.quit.connect("activate", window.on_mnu_close_activate)
        self.quit.show()
        self.menu.append(self.quit)

        # Add more items here                           

        self.menu.show()
        self.indicator.set_menu(self.menu)
    
def new_application_indicator(window):
    ind = Indicator(window)
    return ind.indicator
